<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<!-- August 13, 2004 -->
<xsd:schema
   targetNamespace="http://www.csapi.org/schema/parlayx/common/v2_0"
   xmlns:parlayx_common_xsd="http://www.csapi.org/schema/parlayx/common/v2_0"
   xmlns:xsd="http://www.w3.org/2001/XMLSchema">

   <xsd:complexType name="TimeMetric">
      <xsd:sequence>
         <xsd:element name="metric" type="parlayx_common_xsd:TimeMetrics"/>
         <xsd:element name="units" type="xsd:int"/>
      </xsd:sequence>
   </xsd:complexType>

   <xsd:complexType name="ChargingInformation">
      <xsd:sequence>
         <xsd:element name="description" type="xsd:string"/>
         <xsd:element name="currency" type="xsd:string"/>
         <xsd:element name="amount" type="xsd:decimal"/>
         <xsd:element name="code" type="xsd:string"/>
      </xsd:sequence>
   </xsd:complexType>

   <xsd:complexType name="SimpleReference">
      <xsd:sequence>
         <xsd:element name="endpoint" type="xsd:anyURI"/>
         <xsd:element name="interfaceName" type="xsd:string"/>
         <xsd:element name="correlator" type="xsd:string"/>
      </xsd:sequence>
   </xsd:complexType>

   <xsd:complexType name="ServiceError">
      <xsd:sequence>
         <xsd:element name="messageId" type="xsd:string"/>
         <xsd:element name="text" type="xsd:string"/>
         <xsd:element name="variables" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
      </xsd:sequence>
   </xsd:complexType>

   <xsd:simpleType name="TimeMetrics">
      <xsd:restriction base="xsd:string">
         <xsd:enumeration value="Millisecond"/>
         <xsd:enumeration value="Second"/>
         <xsd:enumeration value="Minute"/>
         <xsd:enumeration value="Hour"/>
         <xsd:enumeration value="Day"/>
         <xsd:enumeration value="Week"/>
         <xsd:enumeration value="Month"/>
         <xsd:enumeration value="Year"/>
      </xsd:restriction>
   </xsd:simpleType>

   <xsd:element name="ServiceException" type="parlayx_common_xsd:ServiceException"/>
   <xsd:complexType name="ServiceException">
      <xsd:sequence>
         <xsd:element name="messageId" type="xsd:string"/>
         <xsd:element name="text" type="xsd:string"/>
         <xsd:element name="variables" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
      </xsd:sequence>
   </xsd:complexType>

   <xsd:element name="PolicyException" type="parlayx_common_xsd:PolicyException"/>
   <xsd:complexType name="PolicyException">
      <xsd:sequence>
         <xsd:element name="messageId" type="xsd:string"/>
         <xsd:element name="text" type="xsd:string"/>
         <xsd:element name="variables" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
      </xsd:sequence>
   </xsd:complexType>
</xsd:schema>
